Text::Xslate::HashWithDefault(3pm)

NAME
Text::Xslate::HashWithDefault - Helper class to fill in default values

SYNOPSIS
    use Text::Xslate::Util qw(hash_with_default);

    my $hash_ref = hash_with_default({ }, sub { "FILLME('@_')" });
    print $hash_ref->{foo}; # FILLME('foo')

DESCRIPTION
This is a helper class to provide hash_with_default() functionality, which is useful for debugging.

See Text::Xslate::Manual::Debugging for details.